<?php // guide.php :: shows all kinds of useful information

const SERVER = '../../server';
require_once SERVER.'/bootstrap.php';

if (!installed()) redirect('/install');

$db = new Database(DB);
$control = $db->table('control')->select();

const GUIDES = ['main', 'items', 'monsters', 'spells', 'classes'];
$guide = isset($_GET['guide']) ? $_GET['guide'] : 'main';

const TITLES = [
	'main' => 'Main',
	'items' => 'Items & Drops',
	'monsters' => 'Monsters',
	'spells' => 'Spells',
	'classes' => 'Classes'
];

echo render('/guide/layout', ['guide' => $guide, 'db' => $db, 'control' => $control, 'title' => TITLES[$guide]]);